@import url(./source-sans-pro.css);

:root {
  --black: #333333;
  --dark-grey: #9999;
  --color-error: #d33636;
  --color-danger: #cd1a1a; /* not sure if this is the best shade */
  --color-inactive-text: var(--dark-grey);
  --color-primary: #17affa;
  --color-primary--pale: rgba(23, 175, 250, 0.4);
  --color-block-background: #e6f1f6;
  --color-border-gray: #979797;
  --color-header: #17273e;
  --color-body: #f9f9f9;
  --color-white: #ffffff;
  --shadow-color-2: rgba(216, 216, 216, 0.7);
  --color-inactive-text: #999999;

  --color-input-border: #cccccc;

  /* These can probably be renamed once we figure out the meaning */
  --color-circle-gray: #d8d8d8;
  --color-circle-green: #7ed321;
  --color-circle-yellow: #f8e71c;
  --color-circle-red: #f16322;

  --font-weight-semibold: 600;

  font-size: 16px;
  font-family: "Source Sans Pro", Helvetica, Arial, Verdana, sans-serif;
  color: var(--black);
}

body {
  margin-bottom: 20px;
}

body > .container {
  max-width: 1540px;
}

body.env-warning::before {
  white-space: nowrap;
  overflow: hidden;
  display: block;
  max-width: 100%;
  border: 0 solid var(--env-warning-color);
  border-width: 0 20px;
  background-color: var(--env-warning-color);
  content: var(--env-warning-message);
}
body.env-warning {
  border: 8px solid var(--env-warning-color);
  border-top-width: 0;
}

.login-container {
  height: 100vh;
  position: relative;
  background-color: var(--color-block-background);
  display: flex;
}

.login-background {
  width: 100%;
  height: 100%;
  background-color: var(--color-header);
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  clip-path: polygon(0 0, 59% 30%, 75% 100%, 0 100%, 0% 38%);
}

.login-logo {
  position: absolute;
  right: 5%;
  top: 5%;
  width: 159px;
  height: 159px;
  background-image: url("../images/logo.png");
  background-repeat: no-repeat;
  background-size: 159px 159px;
  z-index: 4;
}

.login-content {
  padding: 30pt;
  z-index: 9;
  position: absolute;
  top: 25%;
  left: 10%;
  min-width: 30%;
  background-color: var(--color-white);
  border-color: var(--color-header);
  border-style: solid;
  border-width: 5px;
}

.login-content .button {
  justify-content: flex-end;
  float: right;
}

body {
  font-family: inherit;
  background-color: var(--color-body);
}

.required > label:after {
  content: " *";
  color: red;
}

a {
  color: var(--color-primary);
}

h1 {
  font-size: 2.25rem;
  font-weight: var(--font-weight-semibold);
  color: var(--black);
  text-transform: uppercase;
  margin-bottom: 2rem;
}

h1.alt-color {
  color: var(--color-primary);
}

h1 > small {
  font-size: 18px;
  font-weight: var(--font-weight-semibold);
  text-transform: initial;
}

h2,
.planner--card > legend,
.planner--card > label:first-child {
  font-size: 18px;
  font-weight: bold;
}

h1 > small,
h2 > small,
label > small {
  margin-top: 3px;
  display: block;
}

label > small {
  margin-top: 1px;
}

small {
  font-size: 12px;
}

h3 {
  font-size: 1rem;
  font-weight: bold;
}

.navbar.navbar-dark {
  background-color: var(--color-header);
  margin-bottom: 4rem;
}

.nav-link:not(.btn) {
  color: white;
  text-transform: uppercase;
  margin-right: 30px;
}

.nav-link.btn.btn-primary {
  background-color: var(--color-primary);
  margin: 3px 0;
  padding: 5px 32px;
  border-radius: 5px;
  border: none;
  color: white;
  font-weight: 600;
}

table.table {
  margin-top: 38px;
  border: 1px var(--color-border-gray);
  border-style: solid none;
}

table.table thead th,
table.table th[scope="col"] {
  padding-top: 16px;
  padding-bottom: 16px;
  font-size: 1.125rem;
}

table.table th,
table.table td.row-header {
  font-weight: 600;
}

table.table td,
table.table th {
  padding: 11px 38px;
}

table.table td {
  font-weight: 300;
}

table.table th.orderable > a {
  color: inherit;
}

table.table th.orderable > a:after {
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  content: "\f0d7";
  margin-left: 8px;
  font-size: 15px;
  line-height: 19px;
  color: var(--color-inactive-text);
}

table.table th.orderable.asc > a:after {
  color: var(--black);
  content: "\f0d7";
}

table.table th.orderable.desc > a:after {
  color: var(--black);
  content: "\f0d8";
}

table.table th[scope="row"],
table.table td.row-header {
  color: var(--color-primary);
}

.dot-gray:before,
.dot-green:before,
.dot-yellow:before,
.dot-red:before {
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  content: "\f111";
  width: 11px;
  height: 11px;
  margin-right: 12px;
  display: inline-block;
}

.dot-gray:before {
  color: var(--color-circle-gray);
}
.dot-green:before {
  color: var(--color-circle-green);
}
.dot-yellow:before {
  color: var(--color-circle-yellow);
}
.dot-red:before {
  color: var(--color-circle-red);
}

.position-decision-list-icon {
  height: 18px;
  width: 15px;
  padding-bottom: 3px;
  aspect-ratio: 1;
}

table.table tbody {
  background-color: #f3f7f9;
}

table.table td > ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

table.table tbody td.empty-table-message {
  font-size: 1.125rem;
  font-weight: bold;
  padding-top: 48px;
  padding-bottom: 48px;
}

div.table-with-button {
  display: flex;
  flex-direction: row-reverse;
  align-items: baseline;
  flex-wrap: wrap;
}

.table-with-button .table-container {
  order: 2;
  flex-grow: 1;
}
.table-with-button .button-container {
  order: 1;
  margin: 20px;
}

.manual-import-button-container {
  min-width: 13rem;
}

.filter-row {
  padding-top: 16px;
}

.button-label {
  margin: 10px 4px;
  font-weight: 600;
}

.button {
  border-radius: 6px;
  border: 1px solid var(--color-primary);
  color: var(--color-primary);
  background-color: white;
  padding: 3px 25px;
  text-decoration: none;
}
a.button {
  padding: 7px 25px;
}

.button[aria-disabled="true"] {
  opacity: 0.4;
}

.button--gray {
  border: 1px solid var(--color-border-gray);
  color: var(--color-border-gray);
}

.button--gray::after {
  background-image: url("../img/caret.svg");
  background-repeat: no-repeat;
  background-size: 13px 8px;
  height: 9px;
  width: 13px;
  border: unset;
  vertical-align: unset;
  margin-left: 2rem;
}

.button.button-primary {
  background-color: var(--color-primary);
  color: var(--color-white);
}

.button.button-danger {
  border-color: var(--color-danger);
  color: var(--color-danger);
}
.button.button-danger.button-primary {
  background-color: var(--color-danger);
  color: var(--color-white);
}

.button:not([aria-disabled="true"]):hover {
  color: var(--black);
  text-decoration: none;
}

dialog form.close-button-form {
  position: absolute;
  right: 5px;
  top: 5px;
}

dialog form.close-button-form button {
  background: none;
  border: none;
  aspect-ratio: 1;
  height: 31px;
  padding: 0;
}

dialog form.close-button-form button svg {
  width: 100%;
  height: 25px;
  margin: auto 0;
  fill: var(--color-white);
}

dialog.confirmation {
  padding: 0px;
  border: none;
  border-radius: 0.5rem;
  box-shadow: 5px 10px 18px #999999;
  max-width: 95vw;
}

dialog.confirmation .modal-header,
dialog.confirmation .modal-body {
  padding: 0.5rem 0.66rem;
  text-align: center;
  display: block;
  width: 100%;
}

@media (min-width: 576px) {
  dialog.confirmation .modal-body {
    padding: 2rem 3rem 1rem 3rem;
  }
}

dialog.confirmation .modal-header {
  background-color: var(--color-header);
  color: white;
  text-transform: uppercase;
  font-weight: bold;
}

dialog.confirmation menu,
menu.horizontal-buttons {
  margin: 0 38px 1.5rem 38px;
  display: flex;
  gap: 24px;
  padding: 0;
  justify-content: flex-end;
}

.gap-after {
  margin-right: auto;
}

.email-preview {
  border: 1px solid var(--color-primary--pale);
  border-radius: 0.5rem;
  display: block;
  max-width: 30rem;
  white-space: pre-line;
  margin: 1rem auto;
  text-align: start;
  padding: 10px;
}

.hidden {
  display: none;
}

.table-container,
.missions,
.volunteer-detail {
  background-color: white;
  border-radius: 0.5rem;
  box-shadow: 5px 10px 18px #999999;
  padding: 2rem 3rem;
  margin: 1rem 0;
  overflow-x: scroll;
  -ms-overflow-style: none;
  scrollbar-width: none;
}

.table-container::-webkit-scrollbar {
  display: none;
}

.missions {
  order: 1;
  /* width: 40%; */
  padding: 1rem 2rem 0.5rem 2rem;
  margin-bottom: 1rem;
}

.missions-columns {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

hr {
  margin: 40px 2px;
  border: 0;
  height: 1px;
  background-color: var(--color-border-gray);
}

/*****************************************************
 * Cards
 */

.planner--card {
  /* prefix to avoid clash with bootstrap */
  background-color: white;
  box-shadow: 4px 4px 11px 0 var(--shadow-color-2);
  padding: 40px;
  border-radius: 8px;
}

.planner--card > label:first-child,
fieldset > legend {
  font-size: 18px;
  font-weight: bold;
}

.planner--card.planner--card--internal {
  border-radius: 6.2px;
  border: 2px solid var(--color-primary);
  box-shadow: 4px 4px 11px 0 var(--shadow-color-2);
  padding: 40px;
}

.planner-grid-of-cards {
  display: grid;
  align-items: start;
  grid-template-columns: repeat(2, 1fr);
  gap: 40px;
}

/*****************************************************
 * Form stuff
 */

fieldset > legend {
  float: left; /* needed to disable special browser handling */
  grid-column: 1 / -1;
  margin: 0;
  /* typography defined with .planner--card */
}

fieldset {
  /* mirrored at .language-mapper until we can use subgrid */
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  row-gap: 11px;
  column-gap: 32px;
}

.planner--card.single-textbox {
  display: grid;
  gap: 32px;
  grid-template-columns: 1fr;
}

.htmx-indicator {
  /* This will be dynamically set by htmx but without this, the indicators will flash on load */
  opacity: 0;
}

/*****************************************************
 * Inputs
 */

.field {
  position: relative;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto 1fr;
  grid-column: span 2;
  align-items: start;
}

.field.narrow {
  grid-column: span 1;
}

.field.wide {
  grid-column: span 4;
}

.field > label {
  justify-self: start;
}

label {
  font-size: 14px;
  font-weight: 600;

  margin-bottom: 12px;
}

input:not([type="radio"]):not(.choices__input):not(.button),
select {
  background-color: white;
  -webkit-appearance: none;
  appearance: none;

  height: 40px;
  min-width: 100px;
  padding: 11px 30px 11px 18px;

  font-size: 14px;
  line-height: normal;
}

input,
select,
/* Including .field isn't ideal but it makes this more specific than the default choices.js rules */
.field .choices__inner,
.field .is-focused .choices__inner,
.field .is-open .choices__inner {
  border-radius: 2px;
  border: solid 0.5px var(--color-input-border);
}

.field.errors input,
.field.errors select,
/* Including .field isn't ideal but it makes this more specific than the default choices.js rules */
.field.errors .choices__inner,
.field.errors .is-focused .choices__inner,
.field.errors .is-open .choices__inner {
  border-color: var(--color-error);
}

.field.errors label {
  color: var(--color-error);
}

.field > :last-child {
  margin-bottom: 21px;
}

.field .errorlist {
  padding-left: 3px;
  list-style: none;
  color: var(--color-error);
  font-size: 14px;
  margin-bottom: 0;
}

input[type="radio"] {
  background-color: white;
  margin: 3px;

  width: 18px;
  height: 18px;

  place-content: center;
}
input[type="radio"]::before {
  content: "";
  border-radius: 50%;

  transform: scale(0);
  transition: 120ms transform ease-in-out;
  box-shadow: inset 1em 1em var(--color-primary);
}

input[type="radio"]:checked::before {
  transform: scale(1);
}

input:focus,
select:focus,
.field .choices__inner:focus-within {
  outline: 1px solid var(--color-primary);
}

select,
.choices[data-type="select-multiple"] .choices__inner {
  background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIGhlaWdodD0iNC45OTgiIHdpZHRoPSI4LjQzNCI+PHBhdGggZD0ibTguNzg1IDkuNjE3LS43ODMuNzgyIDMuNDM1IDMuNDM1Ljc4MS43ODEuNzgyLS43ODMgMy40MzUtMy40MzMtLjc4MS0uNzgyLTMuNDM2IDMuNDM0eiIgc3R5bGU9ImZpbGw6IzE3YWZmYSIgdHJhbnNmb3JtPSJ0cmFuc2xhdGUoLTguMDAyIC05LjYxNykiLz48L3N2Zz4=);
  background-position-x: calc(100% - 12px);
  background-position-y: calc(100% - 15px);
  background-repeat: no-repeat;
  background-size: 13px 8px;
  padding-right: 38px;
}

select option[disabled][value=""] {
  display: none;
}

.field .choices {
  margin-bottom: initial;
}

.field > .choices {
  align-self: start;
}

.field .choices__list--multiple .choices__item {
  background-color: var(--color-primary);
  border-color: var(--color-primary);
  display: inline-grid;
  grid-template-columns: 1fr auto;
  word-break: break-word;
}

.field .choices__inner {
  padding: 4.5px 4.5px 1.75px;
}

.field .choices__inner,
.field .choices__list--dropdown {
  background-color: white;
  min-height: 40px;
}
.field .choices__inner,
/* .field .choices__list--dropdown, */
.field .choices__input {
  background-color: white;
}

input.choices__input {
  border: none;
  min-width: 1ch;
  height: 26px;
  width: 2em;
  margin: 0;
}

[aria-hidden] {
  display: none;
}

.search-box {
  display: grid;
  grid-template-columns: 1fr 40px;
  grid-template-areas: "input submitbutton";
}

.search-box input {
  grid-area: input;
}

.search-box button[type="submit"] {
  padding: 0;
  border-radius: 0;
  grid-area: submitbutton;
}

.search-box input.hasValue ~ button[type="reset"] {
  display: block;
}

.search-box button[type="reset"] {
  grid-area: input;
  justify-self: end;

  display: none;

  height: 40px;
  width: 40px;

  border: none;
  background: none;
}

.search-box button[type="reset"] svg {
  height: 25px;
  width: 25px;
  fill: var(--color-inactive-text);
}

.open-applications-header {
  display: grid;
  grid-template-columns: 1fr 1fr;
}
.open-applications-header form {
  justify-self: end;
}
/*******************************************************
 * Specifics: Application Update view
 */

.application-data {
  display: grid;
  align-items: start;
  grid-template-columns: 1fr 1fr;
  gap: 40px;

  margin-bottom: 10px;
}

.application-data > form {
  display: contents;
}

.application-data-column {
  display: grid;
  grid-template-columns: 1fr;
  gap: 40px;
}

.language-mapper {
  display: grid;
  align-items: start;
  grid-template-columns: repeat(2, 1fr);
  gap: 32px;
}

.language-mapper--levels {
  display: grid;
  grid-template-columns: 1fr;
  gap: 16px;
}

.language-mapper-level {
  display: grid;
  grid-template-columns: 1fr 154px;
  gap: 16px;
}

.application-internal {
  display: grid;
  align-items: start;
  grid-template-columns: 1fr 1fr;
  gap: 40px;

  margin-bottom: 60px;
}

/*********************************************
 * Specifics: Applications update view, selecting positions
 */

.additional-positions,
#position-recommendations form {
  margin-top: 22px;
}

.additional-positions .choices {
  margin: 0;
}

#position-recommendations form {
  display: grid;
  grid-template-areas:
    "label  empty"
    "select lastupdated";
  grid-template-columns: 1fr 1fr;
  column-gap: 32px;
}

#position-recommendations form label {
  grid-area: label;
}

#position-recommendations form select,
#position-recommendations form .choices {
  grid-area: select;
}
#position-recommendations form p {
  grid-area: lastupdated;
}

.position-recommendation form p {
  grid-area: lastupdated;
  margin: 0;
}

/*******************************
 * Specifics: Application comments
 */

form[name="add_comment"] {
  margin-top: 28px;

  display: grid;
  grid-template-columns: 1fr auto;
  grid-template-areas:
    "input button"
    "message empty2";
  column-gap: 24px;
}

form[name="add_comment"] textarea {
  grid-area: input;
  height: 190px;
}
form[name="add_comment"] small {
  grid-area: message;
}
form[name="add_comment"] input[type="submit"] {
  grid-area: button;
  align-self: end;
  width: 110px;
}

#no-comments-message {
  color: var(--color-inactive-text);
}

#comments {
  margin-top: 32px;
  margin-right: 40px;

  display: grid;
  grid-template-columns: auto 1fr;
  row-gap: 18px;
  column-gap: 25px;
}

#comments .timezone-note {
  grid-column: 1 / -1;
}

#comments .author {
  font-size: 18px;
  font-weight: bold;
  margin: 0;
}

#comments time {
  color: var(--color-inactive-text);
  font-weight: bold;
  font-size: 18px;
}

#comments .text {
  padding-top: 5px;
}
